| Name | Type | Description |
|---|---|---|
| Auth-Token | string | Input your unique token here. This is required to submit an API request. |
| Reference-Id (Optional) |
string | Identifier that will be returned to the response to help you track the request. |
| Timeout-Seconds (Optional) |
integer | Maximum time you are prepared to wait for a response, expressed in seconds. Acceptable values: 2-15. If a timeout occurs, an HTTP status code of 408 - Request Timeout will be returned. The default value of this setting is 15. |
| Add-Metadata (Optional) |
boolean | Specify whether the response should return all fields and values, in addition to the main core information. The default value of this setting is true. |
In the request body you can specify:
| Name | Type | Description | |
|---|---|---|---|
| components | object | Object defining the input components. | |
| phone | array[string] | An array containing the phone of the individual. | |
| options (Optional) |
array[object] | An array of objects consisting of a name and a value property. The objects define the optional request parameters. See options for more detailed information.
| |
| name | string | The name of the optional request parameter, e.g. match_preference. | |
| value | string | The value of the optional request parameter, e.g. only. | attributes | array[string] | An array containing the type of the request, e.g. contact. |
These are the optional request parameters available for the Reverse Phone Append API.
| Name | Value | Description |
|---|---|---|
| match_preference | only | The API returns the best matching contact (default value). |
| all | The API will return all matching contacts. |
| Name | Type | Description |
|---|---|---|
| Reference-Id (Optional) |
string | Identifier that was supplied by you in the request header to help you track the request. |
The response from the API returns the below fields within a result object. Should an error occur, an error object is returned instead.
| Name | Type | Description | |
|---|---|---|---|
| contacts | array[object] | An array of contact information matched to the phone supplied. | |
| number | string | The phone number of the individual. | |
| first_name | string | The first name of the individual. | |
| middle_name | string | The middle name of the individual. | |
| last_name | string | The last name of the individual. | |
| address_line_1 | string | The address of the individual. | |
| town | string | The town, city or suburb. | |
| region | string | The state or province. | |
| postal_code | string | The post/zip code. | |
| country_iso_3 | string | The country of the individual in three letter ISO code, i.e. USA. | |
| Name | Type | Description | |
|---|---|---|---|
| phone_detail | array[object] | The phone detail metadata | |
| phone_type | string | The type of phone based on its classification of intended purpose, i.e. mobile, landline etc. | |
| number | string | The phone number of the individual | |
| match_confidence | string | Indicates the confidence level of the phone number. Possible values include "high", "medium", or "low". | |
The following response codes can be returned by the API:
| Status Code | Reason phrase | Description |
|---|---|---|
| 200 | Success | Request processed successfully. |
| 400 | Bad Request | Request failed due to malformed syntax. |
| 401 | Unauthorized | Auth-Token provided is incorrect. |
| 403 | Forbidden | Request is not authorized to use this service. |
| 404 | Not Found | Request is not found. |
| 406 | Not Acceptable | Request is not in an acceptable format. |
| 408 | Request Timeout | Response was not returned within the timeout allowance. |
| 415 | Unsupported Media Type | Request is not using a Media type that is recognized by the server. |
| 429 | Too many requests | Too many requests were sent. To protect all customers, your account has been temporarily throttled. Check our rate limiting for more details. |
| 500 | Internal Server Error | The server has encountered an error. |
| 503 | Service Unavailable | Service unavailable. Check service status for up-to-date information. |
{
"components": {
"phone": [
"1234567890"
]
},
"options": [
{
"name": "match_preference",
"value": "only"
}
],
"attributes": [
"contact"
]
}
{
"result": {
"contacts": [
{
"number": "1234-567-890",
"first_name": "JOHN",
"middle_name": "JR",
"last_name": "DOE",
"address_line_1": "12 AVE APT 123",
"town": "NEW YORK",
"region": "NY",
"postal_code": "12345-1234",
"country_iso_3": "USA"
}
]
},
"metadata": {
"phone_detail": [
{
"phone_type": "mobile",
"number": "1234-567-890",
"match_confidence": "high"
}
]
}
}